import Summary from '~/components/report_cards/chemical_probe/Summary.vue'
import ControlStructuresAndUse from '~/components/report_cards/chemical_probe/ControlStructuresAndUse.vue'
import ProbeProfile from '~/components/report_cards/chemical_probe/ProbeProfile.vue'
import ProbeMechanism from '~/components/report_cards/chemical_probe/ProbeMechanism.vue'
import CompoundCrystalStructures from '~/components/report_cards/chemical_probe/CompoundCrystalStructures.vue'
import CalculatedProperties from '~/components/report_cards/chemical_probe/CalculatedProperties.vue'
import EntityNames from '~/web-components-submodule/standardisation/EntityNames.js'

const methods = {
  generateReportCardStructure(itemID, prefName) {
    return {
      title: prefName,
      entityName: EntityNames.EubopenCompound.singularEntityName,
      sections: [
        {
          id: 'Summary',
          title: 'Summary',
          component: Summary,
          index: 0,
        },
        {
          id: 'ProbeMechanism',
          title: 'Probe Mechanism',
          component: ProbeMechanism,
          index: 1,
        },
        {
          id: 'ControlStructuresAndUse',
          title: 'Control Structures And Use',
          component: ControlStructuresAndUse,
          index: 2,
        },
        {
          id: 'ProbeProfile',
          title: 'Probe Profile',
          component: ProbeProfile,
          index: 3,
        },
        {
          id: 'CalculatedProperties',
          title: 'Calculated Properties',
          component: CalculatedProperties,
          componentParams: {
            entityID: EntityNames.EubopenCompound.entityID,
          },

          index: 4,
        },
        {
          id: 'CrystalStructures',
          title: 'PBD Ligand Codes',
          component: CompoundCrystalStructures,
          index: 5,
        },
      ],
    }
  },
}

export default methods
