import NameAndClassification from '~/components/report_cards/target/NameAndClassification.vue'
import ActivityCharts from '~/components/report_cards/target/ActivityCharts/ActivityCharts.vue'
import EntityNames from '~/web-components-submodule/standardisation/EntityNames.js'
import TargetCrystalStructures from '~/components/report_cards/target/TargetCrystalStructures.vue'
import ProbesAndChemogenomicCompounds from '~/components/report_cards/target/ProbesAndChemogenomicCompounds.vue'

const methods = {
  generateReportCardStructure(itemID, prefName) {
    return {
      title: prefName,
      entityName: EntityNames.EubopenTarget.singularEntityName,
      sections: [
        {
          id: 'NameAndClassification',
          title: 'Name and Classification',
          component: NameAndClassification,
          index: 0,
        },
        {
          id: 'ProbesAndChemogenomicCompounds',
          title: 'Probes and Chemogenomic Compounds',
          component: ProbesAndChemogenomicCompounds,
          index: 1,
        },
        {
          id: 'ActivityCharts',
          title: 'Compound activity',
          component: ActivityCharts,
          index: 2,
        },
        {
          id: 'CrystalStructures',
          title: 'Uniprot Accessions',
          component: TargetCrystalStructures,
          index: 3,
        },
      ],
    }
  },
}

export default methods
